LPCOpen Platform for LPC18XX/43XX microcontrollers: LPC_WWDT_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
LPC_WWDT_T Struct Reference
CHIP: LPC18xx/43xx Windowed Watchdog driver

## Detailed Description

Windowed Watchdog register block structure.

Definition at line 52 of file wwdt_18xx_43xx.h.

`#include "wwdt_18xx_43xx.h"`

## Data Fields
__IO uint32_t | MOD
__IO uint32_t | TC
__O uint32_t | FEED
__I uint32_t | TV
__I uint32_t | RESERVED0
__IO uint32_t | WARNINT
__IO uint32_t | WINDOW

## Field Documentation

__O uint32_t FEED

Watchdog feed sequence register. Writing 0xAA followed by 0x55 to this register reloads the Watchdog timer with the value contained in WDTC.

Definition at line 55 of file wwdt_18xx_43xx.h.

__IO uint32_t MOD

< WWDT Structure Watchdog mode register. This register contains the basic mode and status of the Watchdog Timer.

Definition at line 53 of file wwdt_18xx_43xx.h.

__I uint32_t RESERVED0

Definition at line 57 of file wwdt_18xx_43xx.h.

__IO uint32_t TC

Watchdog timer constant register. This register determines the time-out value.

Definition at line 54 of file wwdt_18xx_43xx.h.

__I uint32_t TV

Watchdog timer value register. This register reads out the current value of the Watchdog timer.

Definition at line 56 of file wwdt_18xx_43xx.h.

__IO uint32_t WARNINT

Watchdog warning interrupt register. This register contains the Watchdog warning interrupt compare value.

Definition at line 59 of file wwdt_18xx_43xx.h.

__IO uint32_t WINDOW

Watchdog timer window register. This register contains the Watchdog window value.

Definition at line 60 of file wwdt_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/wwdt_18xx_43xx.h